Bug 143443 - Size of a comment box increasing after cut/paste action
Summary: Size of a comment box increasing after cut/paste action
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Weld-Writer-Comments
  Show dependency treegraph
 
Reported: 2021-07-19 20:31 UTC by Telesto
Modified: 2021-11-04 14:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (8.85 KB, application/vnd.oasis.opendocument.text)
2021-07-19 20:31 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-07-19 20:31:17 UTC
Description:
Size of a comment box increasing after cut/paste action

Steps to Reproduce:
1. open the attached file
2. CTRL+A
3. CTRL+X
4. CTRL+V

Actual Results:
Comment box increases in size

Expected Results:
Same as on file open


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3d18cae102e16b85fb8787f5ec3b086bfa2bd7b8
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 1 Telesto 2021-07-19 20:31:34 UTC
Created attachment 173687 [details]
Example file
Comment 2 Telesto 2021-07-19 20:32:46 UTC
Not in
Version: 7.1.0.0.beta1+ (x64)
Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 3 Ezinne 2021-07-21 12:47:46 UTC
The behaviour is reproducible.

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 113d308155e4b6a67a8510098a7db5f4a6632bdc
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-16_21:27:22
Calc: threaded
Comment 4 raal 2021-07-23 17:23:54 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks
 64bb6290805110805ac8c464f9272226504e3fde is the first bad commit
commit 64bb6290805110805ac8c464f9272226504e3fde
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Feb 6 13:27:23 2021 +0100

    source sha:69c546e1e7a697217f273baa7c1729ff823efd76

https://git.libreoffice.org/core/+/69c546e1e7a697217f273baa7c1729ff823efd76
   weld annotation window
Comment 5 Telesto 2021-09-21 17:55:56 UTC
Still present
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d5e55d204b71710eb5eb5d2c683dd6698626df3c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 6 Commit Notification 2021-11-03 12:25:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/950483343d2f8218ac886aac27e1072bfec304bf

Related: tdf#143443 remove PANGO_ATTR_ABSOLUTE_SIZE and PANGO_ATTR_SIZE

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2021-11-03 14:06:55 UTC
with 3 letters in it the wrong height is 3 times the height of an empty line and with 4 its 4 times, so I guess it must be getting calculated with some 0 or minimal width somehow or other
Comment 8 Commit Notification 2021-11-03 16:56:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e01f82b0918d2b54acee36f8d47de18d9340a53

Resolves: tdf#143443 size of comment box too tall after cut/paste

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2021-11-03 20:01:57 UTC
done in trunk, backport to 7-2 in gerrit
Comment 10 Commit Notification 2021-11-04 00:24:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/2a02015b8f822b957b3b7d417b55b647b00f62e9

Resolves: tdf#143443 size of comment box too tall after cut/paste

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-11-04 00:26:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/13d4a0d2a287074a954bd698e325fc2fe2d76bbb

Related: tdf#143443 remove PANGO_ATTR_ABSOLUTE_SIZE and PANGO_ATTR_SIZE

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2021-11-04 14:15:26 UTC
It's ok now in
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: c7500945fc5d5bd2130a2d38be0bd4b15445cd90
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded